# Philosophy

## Why AIAI CLI?

AIAI CLI helps you improve the efficiency, reliability, and performance of your AI agents by:

1. Analyzing execution patterns across multiple runs
2. Identifying bottlenecks and optimization opportunities
3. Providing concrete, actionable recommendations
4. Generating comprehensive optimization reports
5. Mapping optimization rules to specific locations in your code
6. Quantitatively evaluating agent outputs against defined criteria

## Core Principles

AIAI CLI was built on several key principles:

### 1. Automation Over Manual Inspection

Traditional agent optimization requires developers to manually trace through code execution and identify potential issues. AIAI CLI automates this process, using AI to analyze execution patterns and extract optimization rules.

### 2. Evidence-Based Optimization

All recommendations provided by AIAI CLI are based on concrete evidence from execution traces. This ensures that optimizations address real issues rather than theoretical concerns.

### 3. Actionable Insights

AIAI CLI doesn't just identify problems—it provides specific, actionable recommendations that can be applied immediately to improve agent performance.

### 4. Holistic Evaluation

The tool evaluates agents across multiple dimensions, including efficiency, reliability, and output quality, providing a comprehensive view of agent performance.

## Learn More

To dive deeper into the technical concepts behind AIAI CLI, check out our guide on [rule extraction](rule-extraction.md). 