---
hide:
  - navigation
  - toc
---

# AIAI CLI

AIAI CLI is a powerful tool designed to optimize AI agents through rule extraction and automated analysis. It helps identify optimization opportunities in your agent code and provides actionable recommendations based on execution traces.

<div class="grid-container" style="display: grid; grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); gap: 20px; margin: 30px 0;">
    <!-- Getting Started Card -->
    <div class="card" style="border-radius: 4px; box-shadow: 0 4px 8px rgba(0,0,0,0.1); padding: 24px; transition: all 0.3s ease;">
        <h2 style="margin-top: 0;">🚀 Getting Started</h2>
        <p>New to AIAI CLI? Check out our beginner's guide to get up and running quickly with a simple setup and your first optimization run.</p>
        <p style="margin-bottom: 0;"><a href="getting-started/getting-started" style="display: inline-block; margin-top: 12px; text-decoration: none; font-weight: bold;">Get started now →</a></p>
    </div>
    
    <!-- User Guide Card -->
    <div class="card" style="border-radius: 4px; box-shadow: 0 4px 8px rgba(0,0,0,0.1); padding: 24px; transition: all 0.3s ease;">
        <h2 style="margin-top: 0;">📖 User Guide</h2>
        <p>Detailed documentation on how to use AIAI CLI features, configuration options, and best practices for agent optimization.</p>
        <p style="margin-bottom: 0;"><a href="user-guide/overview" style="display: inline-block; margin-top: 12px; text-decoration: none; font-weight: bold;">Explore the guide →</a></p>
    </div>
    
    <!-- Coming Soon Card -->
    <div class="card" style="border-radius: 4px; box-shadow: 0 4px 8px rgba(0,0,0,0.1); padding: 24px; transition: all 0.3s ease;">
        <h2 style="margin-top: 0;">🔌 API Reference</h2>
        <p>API documentation and additional resources will be available here soon. Stay tuned for comprehensive reference materials!</p>
        <p style="margin-bottom: 0; color: #666;"><span style="display: inline-block; margin-top: 12px; font-style: italic;">Under development</span></p>
    </div>
    
    <!-- Join Slack Card -->
    <div class="card" style="border-radius: 4px; box-shadow: 0 4px 8px rgba(0,0,0,0.1); padding: 24px; transition: all 0.3s ease;">
        <h2 style="margin-top: 0;">💬 Join our Slack Community</h2>
        <p>Connect with other AIAI CLI users, get help with your questions, and share your experience with the community.</p>
        <p style="margin-bottom: 0;"><a href="https://join.slack.com/t/zenbasecommunity/shared_invite/zt-3579zf79e-2_TXVGTUDWegVu8pzBDjqA" style="display: inline-block; margin-top: 12px; text-decoration: none; font-weight: bold;">Join the conversation →</a></p>
    </div>
</div>
